<script setup lang="ts">
import { ref } from 'vue'
const emit = defineEmits<{
    send: [message: string]
}>()
const message = ref('')

function send() {
    emit('send',message.value)
    message.value = ''
}

</script>

<template>
  <div>
    <input type="text" v-model="message" @keydown.enter="send"/>
    <button @click="send()">
        Send
    </button>
</div>
</template>

<style scoped>
input, button {
    font-family: 'Kanit';
    font-size: 20pt;
}
</style>